magics++ (4.16.0+really4.16.0-2) unstable; urgency=medium

  * Fix FTBFS with GCC-15 (c++15.patch). Closes: #1097351

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Sep 2025 12:39:02 +0100

magics++ (4.16.0+really4.16.0-1) unstable; urgency=medium

  * Reupload 4.16.0 to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Aug 2025 10:32:17 +0100

magics++ (4.16.0-1) unstable; urgency=medium

  * New upstream release
  * g++-14.patch: Update for incompatible-ptr check
  * Remove old FSF address;update d/copyright
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Apr 2025 15:31:29 +0100

magics++ (4.16.0+really4.15.5-1) unstable; urgency=medium

  * Team upload
  * Reupload 4.15.5. Closes: #1105809

 -- Bastian Germann <bage@debian.org>  Sun, 25 May 2025 19:53:32 +0200

magics++ (4.15.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Nov 2024 10:21:43 +0000

magics++ (4.15.4-2) unstable; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Standards-Version: 4.7.0; no changes required
  * g++14.patch to fix FTBFS on new compiler. Closes: #1075250

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Jul 2024 12:28:42 +0100

magics++ (4.15.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Apr 2024 09:30:54 +0100

magics++ (4.15.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Mar 2024 09:54:31 +0000

magics++ (4.15.2-1) unstable; urgency=medium

  * New upstream release
  * Use/recommend pkgconf rather than obsolete pkg-config

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Feb 2024 07:06:50 +0000

magics++ (4.15.0-2) unstable; urgency=medium

  * Remove old 32-bit code from d/rules
  * Update reference to boost1.74->boost1.83
  * Build-depend on dh-fortran-mod for fortran-support.mk

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 07:59:50 +0000

magics++ (4.15.0-1) unstable; urgency=medium

  * New upstream release
  * Explicitly B-D on architecture-is-64-bit

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Dec 2023 07:06:29 +0000

magics++ (4.14.2-2) unstable; urgency=medium

  * Drop libproj-dev & libnetcdf-c++4-dev build-deps. Unused
    Closes: #1050776
  * Add XKB build-dep 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Aug 2023 09:49:11 +0100

magics++ (4.14.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Aug 2023 11:35:39 +0100

magics++ (4.14.1-1) unstable; urgency=medium

  * New upstream release
  * Change obsolete build-deps: libgl1-mesa-dev -> libgl-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Jul 2023 07:38:24 +0100

magics++ (4.13.0-2) unstable; urgency=medium

  * Drop libnetcdf-c++-legacy-dev . Closes: #1038449
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Jun 2023 11:48:18 +0100

magics++ (4.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Nov 2022 15:01:57 +0000

magics++ (4.13.0~pre1-2) unstable; urgency=medium

  * Relax dep on odc for hppa. Thanks to John David Anglin.
    Closes: #1021453

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Oct 2022 06:03:34 +0100

magics++ (4.13.0~pre1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Sep 2022 12:38:02 +0100

magics++ (4.12.1-2) unstable; urgency=medium

  * Build against Qt6 instead of Qt5

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Sep 2022 08:38:07 +0100

magics++ (4.12.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 May 2022 10:41:13 +0100

magics++ (4.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 May 2022 10:39:17 +0100

magics++ (4.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Mar 2022 08:58:29 +0000

magics++ (4.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Jan 2022 12:47:16 +0000

magics++ (4.10.0.real-1) unstable; urgency=medium

  * Fix broken merge of upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Dec 2021 14:31:07 +0000

magics++ (4.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Dec 2021 13:46:35 +0000

magics++ (4.9.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Oct 2021 12:27:09 +0100

magics++ (4.9.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Oct 2021 07:05:44 +0100

magics++ (4.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Oct 2021 13:13:17 +0100

magics++ (4.9.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Aug 2021 12:03:07 +0100

magics++ (4.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Jun 2021 09:27:42 +0100

magics++ (4.8.0-1) unstable; urgency=medium

  * New upstream release
  * Add magics executable to install

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 May 2021 11:44:23 +0100

magics++ (4.6.0-2) unstable; urgency=medium

  * Rebuild against odc 1.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Mar 2021 16:17:35 +0100

magics++ (4.6.0-1) unstable; urgency=medium

  * New upstream release
  * Fix FTFBFS with g++ 11.  Closes: #984233

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Mar 2021 14:08:08 +0000

magics++ (4.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 12:39:40 +0000

magics++ (4.5.2-2) unstable; urgency=medium

  * Fix serious typo in d/control. Closes: #977354

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Dec 2020 14:55:21 +0000

magics++ (4.5.2-1) unstable; urgency=medium

  * New upstream release
  * Move default boost include to 1.74
  * Standards-Version: 4.5.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Dec 2020 12:52:34 +0000

magics++ (4.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Nov 2020 18:09:11 +0000

magics++ (4.5.0-3) unstable; urgency=medium

  * Drop dependencies on odb-api (not used anymore)
  * Re-enable ODB, using libodc-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Nov 2020 19:15:51 +0000

magics++ (4.5.0-2) unstable; urgency=medium

  * Fix cmake paths

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Oct 2020 07:29:37 +0100

magics++ (4.5.0-1) unstable; urgency=medium

  * New usptream release
  * Move Vcs-Git to point to debian/latest branch
  * Update d/gpb.conf to show use of DEP-14 branches
  * Enable EFAS coastlines, Disable ODB (deprecated)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Oct 2020 15:57:59 +0100

magics++ (4.4.1-1) unstable; urgency=medium

  * New upstream release
  * Enable dh_dwz
  * Use debhelper level 13
  * Use subst vars rather than autogenerated dh files
  * Add files to d/not-installed as necessary

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Aug 2020 14:30:52 +0100

magics++ (4.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Jun 2020 10:29:43 +0100

magics++ (4.3.3-2) unstable; urgency=medium

  * ttf-fonts-* now fonts-dejavu-*. Closes: #961286

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 May 2020 23:57:10 +0100

magics++ (4.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Apr 2020 08:19:23 +0100

magics++ (4.3.1-1) unstable; urgency=medium

  * New upstream release
  * Depend on libodb-api-dev (>= 0.18.1-11)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Apr 2020 08:51:29 +0100

magics++ (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Mar 2020 11:15:52 +0000

magics++ (4.2.6-1) unstable; urgency=medium

  * New upstream release
  * Drop Makefile that tries a docker image build from git
  * Add patch to handle ++ signs in pkgconfig path during build
  * Drop old empty patches from d/patches

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Jan 2020 12:23:11 +0000

magics++ (4.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Nov 2019 12:41:17 +0000

magics++ (4.2.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1.0
  * -dev pkg depends on python3 , not python3-all-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 05 Oct 2019 06:50:31 +0100

magics++ (4.1.3-1) unstable; urgency=medium

  * New upstream release
  * Use ecbuild rather than cmake directly

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 07 Sep 2019 08:27:46 +0100

magics++ (4.1.2-2) unstable; urgency=medium

  [ Alastair McKinstry ] 
  * Fix cmake files needed for metview

  [ Gianfranco Costamagna ]
  * Add python3-all-dev runtime dependency, it is needed by reverse-deps
    (libpython-X-Ym.so is used and exposed outside). Closes: #934064
  * add dependency for libmagics++-dev to libmagics++-metview-dev
    LP: #1566061

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Aug 2019 12:04:41 +0100

magics++ (4.1.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)
  * Drop numpy (used in Build), PYTHON references in d/rules
  * Update pkgconfig.patch
  * Update paths to cmake edits in d/rules
  * Update eccodes B-D to 2.13.0-3

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Aug 2019 17:10:02 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libmagplus3v5`.
